summaryrefslogtreecommitdiffstats
path: root/yocto-poky/meta/recipes-devtools/distcc/files
diff options
context:
space:
mode:
authorPatrick Williams <patrick@stwcx.xyz>2016-08-17 14:31:25 -0500
committerPatrick Williams <patrick@stwcx.xyz>2016-08-22 16:43:26 +0000
commit60f9d69e016b11c468c98ea75ba0a60c44afbbc4 (patch)
treeecb49581a9e41a37943c22cd9ef3f63451b20ee7 /yocto-poky/meta/recipes-devtools/distcc/files
parente18c61205e0234b03697129c20cc69c9b3940efc (diff)
downloadblackbird-openbmc-60f9d69e016b11c468c98ea75ba0a60c44afbbc4.tar.gz
blackbird-openbmc-60f9d69e016b11c468c98ea75ba0a60c44afbbc4.zip
yocto-poky: Move to import-layers subdir
We are going to import additional layers, so create a subdir to hold all of the layers that we import with git-subtree. Change-Id: I6f732153a22be8ca663035c518837e3cc5ec0799 Signed-off-by: Patrick Williams <patrick@stwcx.xyz>
Diffstat (limited to 'yocto-poky/meta/recipes-devtools/distcc/files')
-rw-r--r--yocto-poky/meta/recipes-devtools/distcc/files/0001-zeroconf-Include-fcntl.h.patch29
-rw-r--r--yocto-poky/meta/recipes-devtools/distcc/files/default24
-rwxr-xr-xyocto-poky/meta/recipes-devtools/distcc/files/distcc119
-rw-r--r--yocto-poky/meta/recipes-devtools/distcc/files/distcc.service11
-rw-r--r--yocto-poky/meta/recipes-devtools/distcc/files/distccmon-gnome.desktop12
-rw-r--r--yocto-poky/meta/recipes-devtools/distcc/files/separatebuilddir.patch21
6 files changed, 0 insertions, 216 deletions
diff --git a/yocto-poky/meta/recipes-devtools/distcc/files/0001-zeroconf-Include-fcntl.h.patch b/yocto-poky/meta/recipes-devtools/distcc/files/0001-zeroconf-Include-fcntl.h.patch
deleted file mode 100644
index b17ec9c95..000000000
--- a/yocto-poky/meta/recipes-devtools/distcc/files/0001-zeroconf-Include-fcntl.h.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From 8331fc4759d809512f404e7a27f817ad6d616450 Mon Sep 17 00:00:00 2001
-From: Khem Raj <raj.khem@gmail.com>
-Date: Mon, 13 Apr 2015 18:00:33 -0700
-Subject: [PATCH] zeroconf: Include fcntl.h
-
-We need it for getting deinitions for O_* e.g. O_CREAT
-
-Upstream-Status: Pending
-
-Signed-off-by: Khem Raj <raj.khem@gmail.com>
----
- src/zeroconf.c | 1 +
- 1 file changed, 1 insertion(+)
-
-diff --git a/src/zeroconf.c b/src/zeroconf.c
-index 414ddc4..31bd33f 100644
---- a/src/zeroconf.c
-+++ b/src/zeroconf.c
-@@ -33,6 +33,7 @@
- #include <unistd.h>
- #include <stdlib.h>
- #include <limits.h>
-+#include <fcntl.h>
-
- #include <avahi-common/domain.h>
- #include <avahi-common/error.h>
---
-2.1.4
-
diff --git a/yocto-poky/meta/recipes-devtools/distcc/files/default b/yocto-poky/meta/recipes-devtools/distcc/files/default
deleted file mode 100644
index 63c4159b9..000000000
--- a/yocto-poky/meta/recipes-devtools/distcc/files/default
+++ /dev/null
@@ -1,24 +0,0 @@
-# Defaults for distcc initscript
-# sourced by /etc/init.d/distcc
-
-#
-# should distcc be started on boot?
-#
-# STARTDISTCC="true"
-
-STARTDISTCC="true"
-
-#
-# Which networks/hosts should be allowed to connect to the daemon?
-# You can list multiple hosts/networks separated by spaces.
-# Networks have to be in CIDR notation, f.e. 192.168.1.0/24
-# Hosts are represented by a single IP Adress
-#
-# ALLOWEDNETS="127.0.0.1"
-
-ALLOWEDNETS="192.168.7.0/24"
-
-#
-# OPTIONS is used for the systemd service file
-#
-OPTIONS="--allow 192.168.7.0/24"
diff --git a/yocto-poky/meta/recipes-devtools/distcc/files/distcc b/yocto-poky/meta/recipes-devtools/distcc/files/distcc
deleted file mode 100755
index e36f0fa69..000000000
--- a/yocto-poky/meta/recipes-devtools/distcc/files/distcc
+++ /dev/null
@@ -1,119 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides: distcc
-# Required-Start: $remote_fs $syslog
-# Required-Stop: $remote_fs $syslog
-# Default-Start: 2 3 4 5
-# Default-Stop: 1
-# Short-Description: simple distributed compiler client and server
-### END INIT INFO
-#
-# distccd Debian init.d script contributed by Jason Thomas. (Debian #161136)
-#
-# skeleton example file to build /etc/init.d/ scripts.
-# This file should be used to construct scripts for /etc/init.d.
-#
-# Written by Miquel van Smoorenburg <miquels@cistron.nl>.
-# Modified for Debian GNU/Linux
-# by Ian Murdock <imurdock@gnu.ai.mit.edu>.
-#
-# Version: @(#)skeleton 1.9.1 08-Apr-2002 miquels@cistron.nl
-#
-
-PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
-DAEMON=/usr/bin/distccd
-NAME=distcc
-DESC="Distributed Compiler Daemon"
-DAEMON_ARGS="--pid-file=/var/run/$NAME.pid --daemon"
-# please change those variables by overriding them in /etc/defaults/distcc
-ALLOWEDNETS="127.0.0.1"
-
-# Reads config file (will override defaults above)
-[ -r /etc/default/distcc ] && . /etc/default/distcc
-
-test -x $DAEMON || exit 0
-
-set -e
-
-# Source function library.
-. /etc/init.d/functions
-
-# construct access list
-ALLOW=""
-for net in $ALLOWEDNETS
-do
- ALLOW="$ALLOW --allow $net"
-done
-
-should_start() {
- if [ "$STARTDISTCC" != "true" ] && [ "$STARTDISTCC" != "YES" ]; then
- echo "STARTDISTCC is set to false in /etc/default/distcc"
- echo "$DAEMON not starting"
- exit 0
- fi
- # we need permission to write to the pid file
- touch /var/run/$NAME.pid
- chown distcc /var/run/$NAME.pid
-}
-
-case "$1" in
- start)
- should_start
- echo -n "Starting $DESC: $NAME"
- start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
- --exec $DAEMON -- $DAEMON_ARGS $ALLOW ||
- {
- code=$?
- echo "$0: start failed with error code $code" >&2
- exit $code
- }
- echo "."
- ;;
- stop)
- echo -n "Stopping $DESC: $NAME"
- start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
- --exec $DAEMON ||
- {
- code=$?
- echo "$0: stop failed with error code $code" >&2
- exit $code
- }
- rm -f /var/run/$NAME.pid >/dev/null 2>&1
- echo "."
- ;;
- restart|force-reload)
- #
- # If the "reload" option is implemented, move the "force-reload"
- # option to the "reload" entry above. If not, "force-reload" is
- # just the same as "restart".
- #
- echo -n "Restarting $DESC: $NAME"
- start-stop-daemon --stop --quiet --pidfile /var/run/$NAME.pid \
- --exec $DAEMON
- sleep 1
- should_start
- start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
- --exec $DAEMON -- $DAEMON_ARGS $ALLOW ||
- {
- code=$?
- rm -f /var/run/$NAME.pid >/dev/null 2>&1
- echo "$0: restart failed with error code $code" >&2
- exit $code
- }
- echo "."
- ;;
-
- status)
- status $DAEMON
- exit $?
- ;;
- *)
- N=/etc/init.d/$NAME
- echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
- exit 1
- ;;
-esac
-
-exit 0
-
-
diff --git a/yocto-poky/meta/recipes-devtools/distcc/files/distcc.service b/yocto-poky/meta/recipes-devtools/distcc/files/distcc.service
deleted file mode 100644
index 0253ddf52..000000000
--- a/yocto-poky/meta/recipes-devtools/distcc/files/distcc.service
+++ /dev/null
@@ -1,11 +0,0 @@
-[Unit]
-Description=Distccd A Distributed Compilation Server
-After=network.target
-
-[Service]
-User=distcc
-EnvironmentFile=-/etc/default/distcc
-ExecStart=@BINDIR@/distccd --verbose --no-detach --daemon $OPTIONS
-
-[Install]
-WantedBy=multi-user.target
diff --git a/yocto-poky/meta/recipes-devtools/distcc/files/distccmon-gnome.desktop b/yocto-poky/meta/recipes-devtools/distcc/files/distccmon-gnome.desktop
deleted file mode 100644
index 7b5d85ce4..000000000
--- a/yocto-poky/meta/recipes-devtools/distcc/files/distccmon-gnome.desktop
+++ /dev/null
@@ -1,12 +0,0 @@
-[Desktop Entry]
-Version=0.9.4
-Exec=distccmon-gnome
-Name=distcc monitor
-GenericName=Distributed Compile Monitor
-Comment=Graphical view of distributed compile tasks
-Icon=distccmon-gnome-icon
-TryExec=distccmon-gnome
-Terminal=false
-Type=Application
-Categories=GNOME;Development;
-StartupNotify=true
diff --git a/yocto-poky/meta/recipes-devtools/distcc/files/separatebuilddir.patch b/yocto-poky/meta/recipes-devtools/distcc/files/separatebuilddir.patch
deleted file mode 100644
index b9e3e42dd..000000000
--- a/yocto-poky/meta/recipes-devtools/distcc/files/separatebuilddir.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-When building with a separate build directory, make install fails,
-unable to find the gnome_data files. This patch corrects the
-patch and ensures the build works in this case.
-
-RP 2013/3/8
-
-Upstream-Status: Pending
-
-Index: distcc-3.1/Makefile.in
-===================================================================
---- distcc-3.1.orig/Makefile.in 2008-12-02 21:50:31.000000000 +0000
-+++ distcc-3.1/Makefile.in 2013-03-08 10:49:24.224400937 +0000
-@@ -1088,7 +1088,7 @@
- install-gnome-data: $(gnome_data)
- $(mkinstalldirs) "$(DESTDIR)$(pkgdatadir)"
- for p in $(gnome_data); do \
-- $(INSTALL_DATA) "$$p" "$(DESTDIR)$(pkgdatadir)" || exit 1; \
-+ $(INSTALL_DATA) "$(srcdir)/$$p" "$(DESTDIR)$(pkgdatadir)" || exit 1; \
- done
-
- install-conf: $(conf_files) $(default_files)
OpenPOWER on IntegriCloud